Bug 972605 - (ghc-extensible-exceptions) Review Request: ghc-extensible-exceptions - Extensible exceptions
Review Request: ghc-extensible-exceptions - Extensible exceptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 04:17 EDT by Jens Petersen
Modified: 2013-06-21 08:10 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-extensible-exceptions-0.1.1.4-12.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 08:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-06-10 04:17:57 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-extensible-exceptions.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-extensible-exceptions-0.1.1.4-12.fc18.src.rpm

Description:
This package provides extensible exceptions for GHC.
Comment 1 Jens Petersen 2013-06-10 04:18:04 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5486339
Comment 2 Jens Petersen 2013-06-10 04:38:27 EDT
This library was dropped from ghc-7.6 but is still needed as a dependency
by various other packages.
Comment 3 Shakthi Kannan 2013-06-17 13:11:45 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in ghc-
     extensible-exceptions-devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 194560 bytes in 17 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-extensible-exceptions-0.1.1.4-12.fc17.x86_64.rpm
          ghc-extensible-exceptions-devel-0.1.1.4-12.fc17.x86_64.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-extensible-exceptions ghc-extensible-exceptions-d 
evel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-extensible-exceptions (rpmlib, GLIBC filtered):
    ghc(base-4.3.1.0)
    libHSbase-4.3.1.0-ghc7.0.4.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.0.4.so()(64bit)
    libHSinteger-gmp-0.2.0.3-ghc7.0.4.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-extensible-exceptions-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(extensible-exceptions-0.1.1.4)
    ghc-compiler
    ghc-devel(base-4.3.1.0)
    ghc-devel(extensible-exceptions-0.1.1.4)
    ghc-extensible-exceptions
    ghc-prof(base-4.3.1.0)

Provides
--------
ghc-extensible-exceptions:
    ghc(extensible-exceptions-0.1.1.4)
    ghc-extensible-exceptions
    ghc-extensible-exceptions(x86-64)
    libHSextensible-exceptions-0.1.1.4-ghc7.0.4.so()(64bit)

ghc-extensible-exceptions-devel:
    ghc-devel(extensible-exceptions-0.1.1.4)
    ghc-extensible-exceptions-devel
    ghc-extensible-exceptions-devel(x86-64)
    ghc-prof(extensible-exceptions-0.1.1.4)

Unversioned so-files
--------------------
ghc-extensible-exceptions: /usr/lib64/ghc-7.0.4/extensible-exceptions-0.1.1.4/libHSextensible-exceptions-0.1.1.4-ghc7.0.4.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/extensible-exceptions/0.1.1.4/extensible-exceptions-0.1.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 6ce5e8801760385a408dab71b53550f87629e661b260bdc2cd41c6a439b6e388
  CHECKSUM(SHA256) upstream package : 6ce5e8801760385a408dab71b53550f87629e661b260bdc2cd41c6a439b6e388

Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 972605

Successful Koji builds:

Koji f17 http://koji.fedoraproject.org/koji/taskinfo?taskID=5494647
Koji f20 http://koji.fedoraproject.org/koji/taskinfo?taskID=5494648
Koji f18 http://koji.fedoraproject.org/koji/taskinfo?taskID=5494649
Koji f19 http://koji.fedoraproject.org/koji/taskinfo?taskID=5494650
Comment 4 Jens Petersen 2013-06-17 20:58:26 EDT
Thank you


New Package SCM Request
=======================
Package Name: ghc-extensible-exceptions
Short Description: Extensible exceptions for GHC
Owners: petersen
Branches: f19
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-06-18 06:53:27 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2013-06-21 08:10:57 EDT
Built for F20 Rawhide

Note You need to log in before you can comment on or make changes to this bug.